Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocFieldConsumersPerField Class Reference

`#include <DocFieldConsumersPerField.h>`

Inheritance diagram for Lucene::DocFieldConsumersPerField:

## Public Member Functions

| DocFieldConsumersPerField (const DocFieldConsumersPerThreadPtr &perThread, const DocFieldConsumerPerFieldPtr &one, const DocFieldConsumerPerFieldPtr &two)
virtual | ~DocFieldConsumersPerField ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldConsumersPerField > | shared_from_this ()
virtual void | processFields (Collection< FieldablePtr > fields, int32_t count)
| Processes all occurrences of a single field. More...
virtual void | abort ()
Public Member Functions inherited from Lucene::DocFieldConsumerPerField
virtual | ~DocFieldConsumerPerField ()
boost::shared_ptr< DocFieldConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumerPerField
static String | _getClassName ()

## Data Fields

DocFieldConsumerPerFieldPtr | one
DocFieldConsumerPerFieldPtr | two
DocFieldConsumersPerThreadWeakPtr | _perThread

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::DocFieldConsumersPerField::DocFieldConsumersPerField | ( | const DocFieldConsumersPerThreadPtr & | perThread,
|  | const DocFieldConsumerPerFieldPtr & | one,
|  | const DocFieldConsumerPerFieldPtr & | two
| ) |  |

virtual Lucene::DocFieldConsumersPerField::~DocFieldConsumersPerField | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::DocFieldConsumersPerField::_getClassName | ( |  | ) |

inline static

virtual void Lucene::DocFieldConsumersPerField::abort | ( |  | ) |

virtual

Implements Lucene::DocFieldConsumerPerField.

virtual String Lucene::DocFieldConsumersPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocFieldConsumerPerField.

virtual void Lucene::DocFieldConsumersPerField::processFields | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count
| ) |  |

virtual

Processes all occurrences of a single field.

Implements Lucene::DocFieldConsumerPerField.

boost::shared_ptr< DocFieldConsumersPerField > Lucene::DocFieldConsumersPerField::shared_from_this | ( |  | ) |

inline

## Field Documentation

DocFieldConsumersPerThreadWeakPtr Lucene::DocFieldConsumersPerField::_perThread

DocFieldConsumerPerFieldPtr Lucene::DocFieldConsumersPerField::one

DocFieldConsumerPerFieldPtr Lucene::DocFieldConsumersPerField::two

The documentation for this class was generated from the following file:

- DocFieldConsumersPerField.h

clucene.sourceforge.net